Package org.apache.sling.jcr.contentloader.internal.readers

# Class XmlReader.AttributeMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<String,String>
org.apache.sling.jcr.contentloader.internal.readers.XmlReader.AttributeMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,String>`

Enclosing class:
  XmlReader

protected static class XmlReader.AttributeMap extends HashMap<String,String>
Utility class for dealing with attributes from KXmlParser.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeMap()`

## Method Summary

Modifier and Type
Method
Description
`static XmlReader.AttributeMap`
`getInstance()`
`void`
`setValues(org.kxml2.io.KXmlParser xmlParser)`
Puts values in an `AttributeMap` by extracting attributes from the `xmlParser`.

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### AttributeMap

protected AttributeMap()

## Method Details

### getInstance

public static XmlReader.AttributeMap getInstance()

### setValues

public void setValues(org.kxml2.io.KXmlParser xmlParser)
Puts values in an `AttributeMap` by extracting attributes from the `xmlParser`.

Parameters:
  `xmlParser` - `xmlParser` to extract attributes from. The parser must be in `XmlPullParser.START_TAG` state.